# Reference
<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

**Functions**

* [`azure_key_vault::lookup`](#azure_key_vaultlookup): 
* [`azure_key_vault::secret`](#azure_key_vaultsecret): Retrieves secrets from Azure's Key Vault.

## Functions

### azure_key_vault::lookup

Type: Ruby 4.x API

The azure_key_vault::lookup function.

#### `azure_key_vault::lookup(Variant[String, Numeric] $secret_name, Struct[{vault_name => String, vault_api_version => String, metadata_api_version => String}] $options, Puppet::LookupContext $context)`

The azure_key_vault::lookup function.

Returns: `Any`

##### `secret_name`

Data type: `Variant[String, Numeric]`



##### `options`

Data type: `Struct[{vault_name => String, vault_api_version => String, metadata_api_version => String}]`



##### `context`

Data type: `Puppet::LookupContext`



### azure_key_vault::secret

Type: Ruby 4.x API

Retrieves secrets from Azure's Key Vault.

#### `azure_key_vault::secret(String $vault_name, String $secret_name, Hash $api_versions_hash, Optional[String] $secret_version)`

Retrieves secrets from Azure's Key Vault.

Returns: `Sensitive[String]` Returns the secret as a String wrapped with the Sensitive data type.

##### `vault_name`

Data type: `String`

Name of the vault in your Azure subcription.

##### `secret_name`

Data type: `String`

Name of the secret to be retrieved.

##### `api_versions_hash`

Data type: `Hash`

A Hash of the exact versions of the metadata_api_version and vault_api_version to use.

##### `secret_version`

Data type: `Optional[String]`

The version of the secret you want to retrieve.  This parameter is optional and if not passed the default behavior is to retrieve the latest version.

